/**
 * Copyright 2012 the project-owners
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package inti.ws.spring.resource.config;

import inti.ws.spring.resource.WebResource;

import java.util.Map;

public class ResourceConfig {
    
    protected Map<String, ? extends WebResource> resources;
    protected ConfigParserSettings settings;
    
    public Map<String, ? extends WebResource> getResources() {
        return resources;
    }
    
    public void setResources(Map<String, ? extends WebResource> resources) {
        this.resources = resources;
    }
    
    public ConfigParserSettings getSettings() {
        return settings;
    }
    
    public void setSettings(ConfigParserSettings settings) {
        this.settings = settings;
    }
    
    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("ResourceConfig [resources=");
        builder.append(resources);
        builder.append(", settings=");
        builder.append(settings);
        builder.append("]");
        return builder.toString();
    }
    
}
